/* STYLES DU MODULE AGENCY */
.op-agency-container {
    max-width: 1400px;
    margin: 0 auto;
    padding: 0 25px;
}

.op-agency-wrapper {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 60px;
    align-items: center;
}

/* Colonne gauche : Texte */
.op-agency-left .agency-st0 {
    display: inline-block;
    font-size: 0.85rem;
    text-transform: uppercase;
    padding: 5px 10px;
    border-radius: var(--btn-radius);
    margin-bottom: 15px;
}

.op-agency-left h2 {
    margin-bottom: 20px;
    font-weight: bold;

    span {
        color: var(--onepager-color1);
    }
}

/* Colonne droite : Grille d'items */
.op-agency-right {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
}

.op-agency-item {
    background: radial-gradient(circle at right, var(--section-bg-color) 0%, rgba(130, 130, 130, 0.04) 100%);
    padding: 30px;
    border: 1px solid rgba(130, 130, 130, 0.1);
    border-radius: var(--global-radius);
    transition: 0.3s all ease-in-out;

    .item-titre,
    .item-desc,
    .item-titre strong {
        color: var(--section-txt-color);
    }

    .item-desc {
        opacity: 0.5;
        font-size: 0.85rem;
    }
}

.op-agency-item:hover {
    box-shadow: var(--global-shadow);
}

.op-agency-item .item-icon {
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 15px;
    border-radius: var(--global-radius);
    color: var(--onepager-color1);
    background-color: var(--onepager-color2);
}

.op-agency-item .item-nbr {
    font-size: 2.5rem;
    font-weight: bold;
    line-height: 1.2;
    color: var(--onepager-color1);
}

@media (max-width: 968px) {
    .op-agency-wrapper {
        grid-template-columns: 1fr;
        gap: 40px;
    }

    .op-agency-left {
        text-align: center;
    }
}

@media (max-width: 768px) {
    .op-agency-right {
        grid-template-columns: 1fr;
    }
}